b_              ^ B_
b~              ^ B__
cc1             ^ CC1
Cc1             ^ CC1
emacs           ^ EMACS
Emacs           ^ EMACS
gdb             ^ GDB
Gdb             ^ GDB
gnat1           ^ GNAT1
Gnat1           ^ GNAT1
gnatbind        ^ GNAT BIND
Gnatbind        ^ GNAT BIND
gnatcheck       ^ GNAT CHECK
Gnatcheck       ^ GNAT CHECK
gnatchop        ^ GNAT CHOP
Gnatchop        ^ GNAT CHOP
gnatclean       ^ GNAT CLEAN
Gnatclean       ^ GNAT CLEAN
gnatelim        ^ GNAT ELIM
Gnatelim        ^ GNAT ELIM
gnatf           ^ GNAT XREF
Gnatf           ^ GNAT XREF
gnatfind        ^ GNAT FIND
Gnatfind        ^ GNAT FIND
gnatkr          ^ GNAT KRUNCH
Gnatkr          ^ GNAT KRUNCH
gnatlink        ^ GNAT LINK
Gnatlink        ^ GNAT LINK
gnatls          ^ GNAT LIST
Gnatls          ^ GNAT LIST
gnatmake        ^ GNAT MAKE
Gnatmake        ^ GNAT MAKE
gnatmetric      ^ GNAT METRIC
Gnatmetric      ^ GNAT METRIC
gnatname        ^ GNAT NAME
Gnatname        ^ GNAT NAME
gnatpp          ^ GNAT PRETTY
Gnatpp          ^ GNAT PRETTY
gnatprep        ^ GNAT PREPROCESS
Gnatprep        ^ GNAT PREPROCESS
gnatstub        ^ GNAT STUB
Gnatstub        ^ GNAT STUB
gnatxref        ^ GNAT XREF
Gnatxref        ^ GNAT XREF
gcc             ^ GNAT COMPILE
gcc -c          ^ GNAT COMPILE
-fno-inline     ^ /INLINE=SUPPRESS
-fstack-check   ^ /CHECKS=STACK
-fno-strict-aliasing ^ /OPTIMIZE=NO_STRICT_ALIASING
-gnata          ^ /CHECKS=ASSERTIONS
-gnatA          ^ /NO_GNAT_ADC
-gnatb          ^ /REPORT_ERRORS=BRIEF
-gnatB          ^ /ASSUME_VALID
-gnatc          ^ /NOLOAD
-gnatct         ^ /NOLOAD /TREE_OUTPUT
-gnatdc         ^ /TRACE_UNITS
-gnatdO         ^ /REPORT_ERRORS=IMMEDIATE
-gnatC          ^ /COMPRESS_NAMES
-gnatDG         ^ /XDEBUG /EXPAND_SOURCEA
-gnatD          ^ /XDEBUG
-gnatec         ^ /CONFIGURATION_PRAGMAS_FILE
-gnateD         ^ /SYMBOL_PREPROCESSING
-gnatef         ^ /FULL_PATH_IN_BRIEF_MESSAGES
-gnateG         ^ /GENERATE_PROCESSED_SOURCE
-gnatem         ^ /MAPPING_FILE
-gnatep         ^ /DATA_PREPROCESSING
-gnateS         ^ /SCO_OUTPUT
-gnatE          ^ /CHECKS=ELABORATION
-gnatf          ^ /REPORT_ERRORS=FULL
-gnatF          ^ /UPPERCASE_EXTERNALS
-gnatg          ^ /STYLE_CHECKS=GNAT
-gnatG          ^ /EXPAND_SOURCE
-gnatk          ^ /FILE_NAME_MAX_LENGTH
-gnatl          ^ /LIST
-gnatL          ^ /LONGJMP_SETJMP
-gnatj          ^ /JUSTIFY_MESSAGES
-gnatj0         ^ /NO_JUSTIFY_MESSAGES
-gnatjnn        ^ /JUSTIFY_MESSAGES=nn
-gnatL          ^ /INTERSPERSE_SOURCE
-gnatm          ^ /ERROR_LIMIT
-gnatm2         ^ /ERROR_LIMIT=2
-gnatn          ^ /INLINE=PRAGMA
-gnatN          ^ /INLINE=FULL
-gnato          ^ /CHECKS=OVERFLOW
-gnatp          ^ /CHECKS=SUPPRESS_ALL
-gnat-p         ^ /CHECKS=UNSUPPRESS_ALL
-gnatP          ^ /POLLING
-gnatR          ^ /REPRESENTATION_INFO
-gnatR0         ^ /REPRESENTATION_INFO=NONE
-gnatR1         ^ /REPRESENTATION_INFO=ARRAYS
-gnatR2         ^ /REPRESENTATION_INFO=OBJECTS
-gnatR3         ^ /REPRESENTATION_INFO=SYMBOLIC
-gnatq          ^ /TRY_SEMANTICS
-gnatQ          ^ /FORCE_ALI
-gnatr          ^ /TREAT_RESTRICTIONS_AS_WARNINGS
-gnats          ^ /SYNTAX_ONLY
-gnatS          ^ /PRINT_STANDARD
-gnatt          ^ /TREE_OUTPUT
-gnatu          ^ /UNITS_LIST
-gnatU          ^ /UNIQUE_ERROR_TAG
-gnatv          ^ /REPORT_ERRORS=VERBOSE
-gnatV          ^ /VALIDITY_CHECKING
-gnatVa         ^ /VALIDITY_CHECKING=ALL
-gnatVc         ^ /VALIDITY_CHECKING=COPIES
-gnatVd         ^ /VALIDITY_CHECKING=DEFAULT
-gnatVE         ^ /VALIDITY_CHECKING=NOCOMPONENTS
-gnatVe         ^ /VALIDITY_CHECKING=COMPONENTS
-gnatVD         ^ /VALIDITY_CHECKING=NODEFAULT
-gnatVf         ^ /VALIDITY_CHECKING=FLOATS
-gnatVi         ^ /VALIDITY_CHECKING=IN_PARAMS
-gnatVm         ^ /VALIDITY_CHECKING=MOD_PARAMS
-gnatVn         ^ /VALIDITY_CHECKING=NONE
-gnatVo         ^ /VALIDITY_CHECKING=OPERANDS
-gnatVp         ^ /VALIDITY_CHECKING=PARAMETERS
-gnatVr         ^ /VALIDITY_CHECKING=RETURNS
-gnatVs         ^ /VALIDITY_CHECKING=SUBSCRIPTS
-gnatVt         ^ /VALIDITY_CHECKING=TESTS
-gnatw          ^ /WARNINGS
-gnatwa         ^ /WARNINGS=OPTIONAL
-gnatwA         ^ /WARNINGS=NOOPTIONAL
-gnatw.a        ^ /WARNINGS=FAILING_ASSERTIONS
-gnatw.A        ^ /WARNINGS=NO_FAILING_ASSERTIONS
-gnatwb         ^ /WARNINGS=BAD_FIXED_VALUES
-gnatwB         ^ /WARNINGS=NO_BAD_FIXED_VALUES
-gnatw.b        ^ /WARNINGS=BIASED_REPRESENTATION
-gnatw.B        ^ /WARNINGS=NO_BIASED_REPRESENTATION
-gnatwc         ^ /WARNINGS=CONDITIONALS
-gnatwC         ^ /WARNINGS=NOCONDITIONALS
-gnatw.c        ^ /WARNINGS=MISSING_COMPONENT_CLAUSES
-gnatw.C        ^ /WARNINGS=NOMISSING_COMPONENT_CLAUSES
-gnatwd         ^ /WARNINGS=IMPLICIT_DEREFERENCE
-gnatwD         ^ /WARNINGS=NOIMPLICIT_DEREFERENCE
-gnatwe         ^ /WARNINGS=ERRORS
-gnatw.e        ^ /WARNINGS=EVERY
-gnatwf         ^ /WARNINGS=UNREFERENCED_FORMALS
-gnatwF         ^ /WARNINGS=NOUNREFERENCED_FORMALS
-gnatwg         ^ /WARNINGS=UNRECOGNIZED_PRAGMAS
-gnatwG         ^ /WARNINGS=NOUNRECOGNIZED_PRAGMAS
-gnatwh         ^ /WARNINGS=HIDING
-gnatwH         ^ /WARNINGS=NOHIDING
-gnatw.h        ^ /WARNINGS=AVOIDGAPS
-gnatw.H        ^ /WARNINGS=NOAVOIDGAPS
-gnatwi         ^ /WARNINGS=IMPLEMENTATION
-gnatwI         ^ /WARNINGS=NOIMPLEMENTATION
-gnatwj         ^ /WARNINGS=OBSOLESCENT
-gnatwJ         ^ /WARNINGS=NOOBSOLESCENT
-gnatwk         ^ /WARNINGS=CONSTANT_VARIABLES
-gnatwK         ^ /WARNINGS=NOCONSTANT_VARIABLES
-gnatwl         ^ /WARNINGS=ELABORATION
-gnatwL         ^ /WARNINGS=NOELABORATION
-gnatwm         ^ /WARNINGS=MODIFIED_UNREF
-gnatwM         ^ /WARNINGS=NOMODIFIED_UNREF
-gnatw.m        ^ /WARNINGS=SUSPICIOUS_MODULUES
-gnatw.M        ^ /WARNINGS=NOSUSPICIOUS_MODULUES
-gnatwn         ^ /WARNINGS=NORMAL
-gnatwo         ^ /WARNINGS=OVERLAYS
-gnatwO         ^ /WARNINGS=NOOVERLAYS
-gnatw.o        ^ /WARNINGS=OUT_PARAM_UNREF
-gnatw.O        ^ /WARNINGS=NOOUT_PARAM_UNREF
-gnatwp         ^ /WARNINGS=INEFFECTIVE_INLINE
-gnatwP         ^ /WARNINGS=NOINEFFECTIVE_INLINE
-gnatw.p        ^ /WARNINGS=PARAMETER_ORDER
-gnatw.P        ^ /WARNINGS=NO_PARAMETER_ORDER
-gnatw.h        ^ /WARNINGS=OVERRIDING_SIZE
-gnatw.H        ^ /WARNINGS=NOOVERRIDING_SIZE
-gnatwq         ^ /WARNINGS=MISSING_PARENS
-gnatwQ         ^ /WARNINGS=NOMISSING_PARENS
-gnatwr         ^ /WARNINGS=REDUNDANT
-gnatwR         ^ /WARNINGS=NOREDUNDANT
-gnatws         ^ /WARNINGS=SUPPRESS
-gnatwt         ^ /WARNINGS=DELETED_CODE
-gnatwT         ^ /WARNINGS=NODELETED_CODE
-gnatwu         ^ /WARNINGS=UNUSED
-gnatwU         ^ /WARNINGS=NOUNUSED
-gnatw.u        ^ /WARNINGS=UNORDERED_ENUMERATIONS
-gnatw.U        ^ /WARNINGS=NOUNORDERED_ENUMERATIONS
-gnatwv         ^ /WARNINGS=VARIABLES_UNINITIALIZED
-gnatwV         ^ /WARNINGS=NOVARIABLES_UNINITIALIZED
-gnatww         ^ /WARNINGS=LOWBOUND_ASSUMED
-gnatwW         ^ /WARNINGS=NOLOWBOUND_ASSUMED
-gnatw.w        ^ /WARNINGS=WARNINGS_OFF_PRAGMAS
-gnatw.W        ^ /WARNINGS=NOWARNINGS_OFF_PRAGMAS
-gnatwx         ^ /WARNINGS=IMPORT_EXPORT_PRAGMAS
-gnatwX         ^ /WARNINGS=NOIMPORT_EXPORT_PRAGMAS
-gnatw.x        ^ /WARNINGS=LOCAL_RAISE_HANDLING
-gnatw.X        ^ /WARNINGS=NOLOCAL_RAISE_HANDLING
-gnatwy         ^ /WARNINGS=ADA_2005_COMPATIBILITY
-gnatwY         ^ /WARNINGS=NOADA_2005_COMPATIBILITY
-gnatwz         ^ /WARNINGS=UNCHECKED_CONVERSIONS
-gnatwZ         ^ /WARNINGS=NOUNCHECKED_CONVERSIONS
-gnatW8         ^ /WIDE_CHARACTER_ENCODING=UTF8
-gnatW?         ^ /WIDE_CHARACTER_ENCODING=?
-gnaty          ^ /STYLE_CHECKS
-gnatyO         ^ /STYLE_CHECKS=OVERRIDING_INDICATORS
-gnatyy         ^ /STYLE_CHECKS=ALL_BUILTIN
-gnatZ          ^ /ZERO_COST_EXCEPTIONS
-gnatzc         ^ /DISTRIBUTION_STUBS=CALLER
-gnatzr         ^ /DISTRIBUTION_STUBS=RECEIVER
-gnat83         ^ /83
-gnat95         ^ /95
-gnat05         ^ /05
-gnatx          ^ /XREF=SUPPRESS
-gnatX          ^ /EXTENSIONS_ALLOWED
--RTS           ^ /RUNTIME_SYSTEM
switch          ^ qualifier
switches        ^ qualifiers
Switch          ^ Qualifier
Switches        ^ Qualifiers
stdout          ^ SYS$OUTPUT
stderr          ^ SYS$ERROR
-bargs          ^ /BINDER_QUALIFIERS
-cargs          ^ /COMPILER_QUALIFIERS
-largs          ^ /LINKER_QUALIFIERS
-margs          ^ /MAKE_QUALIFIERS
-aIDIR          ^ /SOURCE_SEARCH=direc
-aODIR          ^ /OBJECT_SEARCH=direc
-IDIR           ^ /SEARCH=direc
-nostdinc       ^ /NOSTD_INCLUDES
-nostdlib       ^ /NOSTD_LIBRARIES
-pFILE          ^ /PROJECT=file
-O0             ^ /OPTIMIZE=NONE
-O1             ^ /OPTIMIZE=SOME
-O2             ^ /OPTIMIZE=ALL
-O3             ^ /OPTIMIZE=INLINING
-H32            ^ /32_MALLOC
-H64            ^ /64_MALLOC
